Bug 239904 - devel/bzr: Sync with Ubuntu upstream
Summary: devel/bzr: Sync with Ubuntu upstream
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-16 10:33 UTC by Radim Kolar
Modified: 2019-09-03 01:27 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
ubuntu sync (2.53 KB, patch)
2019-08-16 10:33 UTC, Radim Kolar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2019-08-16 10:33:35 UTC
Created attachment 206612 [details]
ubuntu sync

Ubuntu has its own heavily patched bzr version.
There does not seems to be interest in releasing their patches as official 2.7.1
Comment 1 fullermd 2019-08-31 23:10:28 UTC
Most of the Ubuntu patches don't seem like anything worth diverging from upstream for, apart from one.  Most of the value would be in just pulling up to the latest code since the release anyway, and it's probably cleaner and futureproofer to get that from the upstream VCS than Ubuntu's tarball.

See bug 240242.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-01 22:34:14 UTC
@Maintainer, is comment 1 "Closed -> Not Accepted" or something else, eg: "will provide patch for a change in upstream" ?
Comment 3 Yuri Victorovich freebsd_committer 2019-09-01 22:37:31 UTC
The patch here refers to 2.7.0 when the port is at 3.0.1.

It should be either updated, or closed.

Yuri
Comment 4 fullermd 2019-09-02 19:41:25 UTC
(In reply to Kubilay Kocak from comment #2)

I'd phrase it as "the important functional parts of this will come in via another route in bug 240242".  So, I guess "not accepted" for the _letter_ of this change, but "done another way" for the spirit?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-03 01:27:36 UTC
(In reply to fullermd from comment #4)

Thank you for the feedback.

Since the request is specifically for an upstream change directly to another source, without *specific* requests for particular features/changes/functions, 'not accepted' is more obvious/appropriate.

Bug 240242 remains in See Also: for reference and breadcrumb purposes.